Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230158 - seamonkey-1.0.8-x (critical) update prevents evolution from starting
Summary: seamonkey-1.0.8-x (critical) update prevents evolution from starting
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: seamonkey
Version: 3.8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Ben Levenson
URL:
Whiteboard:
: 231547 (view as bug list)
Depends On: 229987
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-26 22:24 UTC by Jack Neely
Modified: 2014-01-21 22:57 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-02 13:34:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0077 normal SHIPPED_LIVE Critical: seamonkey security update 2007-03-13 15:30:13 UTC

Description Jack Neely 2007-02-26 22:24:06 UTC
This affect RHEL 3 as well.

+++ This bug was initially created as a clone of Bug #229987 +++

The seamonkey-1.0.8-x (critical) update prevents evolution from starting.

The following error occurs:

(evolution:32071): evolution-smime-WARNING **: Failed all methods for
initializing NSS

Trying to build evolution from the SRPM also does not work as the path for nspr
(mozilla 37:1.8) is not the same as the path for nspr (seamonkey 1.0.8).

Using the patch attached to this bug:  
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=202453

I was able to start Evolution building ... whether it fixes this bug, I will
report when it finishes.

-- Additional comment from johnny@centos.org on 2007-02-25 11:14 EST --
rebuilding evolution did not help, the RPM produced built against seamonkey
1.0.8 is identical to the one produced against mozilla

-- Additional comment from johnny@centos.org on 2007-02-25 14:50 EST --
There is a fix that works as a work around until another solution is done, which
list to create this symbolic link:

cd /usr/lib

ln -s firefox-1.5.0.10/libfreeb13.so .

Having libfreeb13.so in /usr/lib allows evolution to start ... removing it
prevents it from starting.

This fix is from the centos bugs tracker and mailing list:

http://bugs.centos.org/view.php?id=1694

-- Additional comment from hsa@tufon.com on 2007-02-25 16:12 EST --
I have exactly the same issue. After the latest rhn update evolution failed to
start. I did as suggested by Johnny (thanks), and got evolution to start.  This
is very urgent, as I am sure many other people are running into the same issue,
and are completely lost as I!



-- Additional comment from johnny@centos.org on 2007-02-26 02:25 EST --
OK ... that file name should have a "lowercase L" (l) not a one (1) ...

cd /usr/lib
ln -s firefox-1.5.0.10/libfreebl3.so




-- Additional comment from mjc@redhat.com on 2007-02-26 06:17 EST --
*** Bug 230048 has been marked as a duplicate of this bug. ***

-- Additional comment from mjc@redhat.com on 2007-02-26 06:49 EST --
libfreebl3.so is new to NSS3.11 and it is dlopened by libsoftokn3.so.  Therefore
the seamonkey-nss library should be shipping libfreebl3.so in /usr/lib (and not
in the seamonkey main rpm).  We are therefore respinning seamonkey packages to
replace the current erratum packages and will expidite them through QE and
release engineering.

-- Additional comment from rik.theys@esat.kuleuven.ac.be on 2007-02-26 08:05 EST --
FYI: This bug also breaks gaim

-- Additional comment from pm-rhel@redhat.com on 2007-02-26 11:24 EST --
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.

-- Additional comment from mbarnes@redhat.com on 2007-02-26 14:39 EST --
*** Bug 230111 has been marked as a duplicate of this bug. ***

-- Additional comment from bugzilla@redhat.com on 2007-02-26 16:47 EST --

An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0077.html

Comment 1 daryl herzmann 2007-03-08 22:38:47 UTC
RedHat,

What is the status of fixing this bug? It effects Gaim as well.

Comment 2 Christopher Aillon 2007-03-08 22:57:04 UTC
We'll get something out ASAP.  Sorry about it.

Comment 6 Matěj Cepl 2007-03-12 13:55:05 UTC
*** Bug 231547 has been marked as a duplicate of this bug. ***

Comment 9 Martin Stransky 2007-03-14 08:50:55 UTC
*** Bug 231510 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.